Bio::ClusterIO(3)

NAME
Bio::ClusterIO - Handler for Cluster Formats

SYNOPSIS
  #NB: This example is unigene specific

  use Bio::ClusterIO;

  $stream  = Bio::ClusterIO->new('-file' => "Hs.data",
                                 '-format' => "unigene");
  # note: we quote -format to keep older perl's from complaining.

  while ( my $in = $stream->next_cluster() ) {
      print $in->unigene_id() . "\n";
      while ( my $sequence = $in->next_seq() ) {
          print $sequence->accession_number() . "\n";
      }
  }
  # Parsing errors are printed to STDERR.

DESCRIPTION
The ClusterIO module works with the ClusterIO format module to read various cluster formats such as NCBI UniGene.

CONSTRUCTORS

  Bio::ClusterIO->new()
   $str = Bio::ClusterIO->new(-file => 'filename',
                              -format=>$format);

The new() class method constructs a new Bio::ClusterIO object. The returned object can be used to retrieve or print cluster objects. new() accepts the following parameters:

-file
    A file path to be opened for reading.

-format
    Specify the format of the file. Supported formats include:

       unigene              *.data  UniGene build files.
       dbsnp                *.xml   dbSNP XML files

    If no format is specified and a filename is given, then the module will attempt to deduce it from the filename. If this is unsuccessful, the main UniGene build format is assumed.

    The format name is case insensitive. 'UNIGENE', 'UniGene' and 'unigene' are all supported, as are dbSNP, dbsnp, and DBSNP

OBJECT METHODS
See below for more detailed summaries. The main methods are:

  $cluster = $str->next_cluster()
Fetch the next cluster from the stream.

  TIEHANDLE(), READLINE(), PRINT()
These I've left in here because they were in the SeqIO module. Feedback appreciated. There they provide the tie interface. See perltie for more details.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Andrew Macgregor
Email andrew@anatomy.otago.ac.nz

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : Bio::ClusterIO->new(-file => $filename, -format => 'format')
 Function: Returns a new cluster stream
 Returns : A Bio::ClusterIO::Handler initialised with the appropriate format
 Args    : -file => $filename
           -format => format

  next_cluster
 Title   : next_cluster
 Usage   : $cluster = $stream->next_cluster()
 Function: Reads the next cluster object from the stream and returns it.
 Returns : a L<Bio::ClusterI> compliant object
 Args    : none

  cluster_factory
 Title   : cluster_factory
 Usage   : $obj->cluster_factory($newval)
 Function: Get/set the object factory to use for creating the cluster
           objects.
 Example :
 Returns : a L<Bio::Factory::ObjectFactoryI> compliant object
 Args    : on set, new value (a L<Bio::Factory::ObjectFactoryI>
           compliant object or undef, optional)

  object_factory
 Title   : object_factory
 Usage   : $obj->object_factory($newval)
 Function: This is an alias to cluster_factory with a more generic name.
 Example :
 Returns : a L<Bio::Factory::ObjectFactoryI> compliant object
 Args    : on set, new value (a L<Bio::Factory::ObjectFactoryI>
           compliant object or undef, optional)

  _load_format_module
 Title   : _load_format_module
 Usage   : *INTERNAL ClusterIO stuff*
 Function: Loads up (like use) a module at run time on demand
 Example :
 Returns :
 Args    :

  _guess_format
 Title   : _guess_format
 Usage   : $obj->_guess_format($filename)
 Function: guess format based on file suffix
 Example :
 Returns : guessed format of filename (lower case)
 Args    :
 Notes   : formats that _filehandle() will guess include unigene and dbsnp